> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quno.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Score

> Get brand visibility percentages per day within a date range



## OpenAPI

````yaml GET /api/v1/visibility/get_score
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://api.quno.ai
security:
  - bearerAuth: []
paths:
  /api/v1/visibility/get_score:
    get:
      description: Get brand visibility percentages per day within a date range
      parameters:
        - name: input_start_date
          in: query
          required: true
          schema:
            type: string
            format: date
          description: Start date in YYYY-MM-DD format
        - name: input_end_date
          in: query
          required: true
          schema:
            type: string
            format: date
          description: End date in YYYY-MM-DD format
        - name: input_model_name
          in: query
          required: true
          schema:
            type: string
            enum:
              - chatgpt
              - perplexity
              - google-overview
              - gemini
              - deepseek
              - claude
            description: The specific model to use for analysis
          description: Name of the model to use
      responses:
        '200':
          description: Ranking response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DailyBrandVisibility'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DailyBrandVisibility:
      type: object
      description: Daily brand visibility with dynamic brand_id keys
      properties:
        day:
          type: string
          format: date
          description: The date this visibility data represents
      additionalProperties:
        type: number
        format: float
        description: For brand's ID (uuid), visibility percentage for the brand (0–100)
        nullable: true
      required:
        - day
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````